--[[
Copyright 2009 João Cardoso
MailNotifier Launcher is distributed under the terms of the GNU General Public License (or the Lesser GPL).
This file is part of MailNotifier Launcher.

MailNotifier Launcher is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MailNotifier Launcher is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MailNotifier Launcher. If not, see <http://www.gnu.org/licenses/>.
--]]

local L = MailNotifier_Locals
local IconDirectory = 'Interface\\Addons\\MailNotifier_Launcher\\Textures\\'


--[[ Launcher ]]--

local Launcher = LibStub('LibDataBroker-1.1'):NewDataObject('MailNotifier', {
	type = 'data source',
	text = '',
})

function Launcher:OnTooltipShow()
	MinimapMailFrameUpdate()
end

function Launcher:OnMailChanged(value)
	if value > 0 then
		if value > 1 then
			Launcher.suffix = L.Mails
		else
			Launcher.suffix = L.Mail
		end
		
		Launcher.icon = IconDirectory .. 'Enabled'
		Launcher.value = value
	else
		Launcher.icon = IconDirectory .. 'Disabled'
		Launcher.text = L.NoMail
		Launcher.value = nil
	end
end

hooksecurefunc(MailNotifier, 'SetNumMails', Launcher.OnMailChanged)
Launcher:OnMailChanged(0)


--[[ Minimap Button ]]--

MiniMapMailFrame:UnregisterAllEvents()
MiniMapMailFrame:Hide()